Tiny NeRF dataset can be downloaded at: http://cseweb.ucsd.edu/~viscomp/projects/LF/papers/ECCV20/nerf/tiny_nerf_data.npz

Nerf data loading, ray sampling, division into chunks, positional encoding, general training functions are adapted from:
https://colab.research.google.com/drive/1TppdSsLz8uKoNwqJqDGg8se8BHQcvg_K?usp=sharing

Note that the training loop, rendering, nerf_forward functions have been modified.

All other functions, the NeRF model itself, space carving, SC supervised Nerf code have been implemented by Irmak Sivgin. 
For clean data (original):
conventional NeRF: nerf_full.py
SC: space_carving_w_nerf_sampling.py
SC + NeRF: sc_nerf.py (needs the saved SC volume from space_carving_w_nerf_sampling.py, so run it first, save the voxel:
torch.save(carved_labels, "sc_vol_N_{}.pt".format(N)) here, select N=256 to match my final choice of parameters, or play around!)
Also: set Train=False in SC code to get and save the ground truth SC test pose rendering for later psnr comparisons!

Blurry data:
Set up SAM and run sam_blurry.py to save blurry segmentation masks.
SC: noisy_space_carving.py (save the volumes so that you can use them for SC + NeRF!!)
SC + NeRF: blurred_sc_nerf.py